Bio::MAGETAB::Util::Reader::TagValueFile(3)

NAME
Bio::MAGETAB::Util::Reader::TagValueFile - An abstract class providing methods for handling tab-delimited files.

SYNOPSIS
 use base qw(Bio::MAGETAB::Util::Reader::TagValueFile);

DESCRIPTION
This is an abstract class providing methods for parsing tag-value files such as the MAGE-TAB IDF component, and the header of ADF files. It is not designed to be used directly.

ATTRIBUTES
See the Tabfile class for superclass attributes.

text_store
dispatch_table
    These are internal caches not designed to be addressed directly.

METHODS
No public methods.

SEE ALSO
Bio::MAGETAB::Util::Reader::Tabfile Bio::MAGETAB::Util::Reader Bio::MAGETAB::Util::Reader::ADF Bio::MAGETAB::Util::Reader::IDF

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).